# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies
#
# If you believe there's an error in this file please file an
# issue against the rust-lang/cargo repository. If you're
# editing this file be aware that the upstream Cargo.toml
# will likely look very different (and much more reasonable)

[package]
edition = "2018"
name = "ln-types"
version = "0.1.2"
authors = ["Martin Habovstiak <martin.habovstiak@gmail.com>"]
description = "Common types related to Lightning Network"
readme = "README.md"
keywords = ["lightning", "network", "newtypes"]
categories = ["cryptography::cryptocurrencies", "encoding", "rust-patterns", "value-formatting"]
license = "MITNFA"
repository = "https://github.com/Kixunil/ln-types"
[package.metadata.docs.rs]
features = ["serde", "secp256k1/bitcoin_hashes", "bitcoin/use-serde", "postgres-types", "parse_arg"]
rustc-args = ["--cfg", "docsrs"]
[dependencies.bitcoin]
version = "0.27.1"
optional = true

[dependencies.bytes]
version = "1.1.0"
optional = true

[dependencies.parse_arg]
version = "0.1.4"
optional = true

[dependencies.postgres-types-real]
version = "0.2.2"
optional = true
package = "postgres-types"

[dependencies.secp256k1]
version = "0.20.3"
optional = true

[dependencies.serde]
version = "1.0.130"
optional = true

[dependencies.slog]
version = "2.7.0"
optional = true

[features]
postgres-types = ["postgres-types-real", "bytes"]
